Bug 754501 - phat-docs depends on gtk-doc unnecessarily
phat-docs depends on gtk-doc unnecessarily
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: phat (Show other bugs)
16
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
: EasyFix, Reopened
Depends On:
Blocks: 604169
  Show dependency treegraph
 
Reported: 2011-11-16 12:25 EST by Felipe Contreras
Modified: 2012-12-18 04:10 EST (History)
1 user (show)

See Also:
Fixed In Version: phat-0.4.1-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 04:10:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Contreras 2011-11-16 12:25:09 EST
See the revised guidelines which mention specifically gtk-doc:
http://fedoraproject.org/wiki/PackagingGuidelines#File_and_Directory_Ownership

Or the tracking bug for more details.
Comment 1 Fedora Update System 2011-11-29 01:28:23 EST
phat-0.4.1-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/phat-0.4.1-6.fc16
Comment 2 Fedora Update System 2011-11-29 20:55:51 EST
Package phat-0.4.1-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing phat-0.4.1-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16587/phat-0.4.1-6.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-12-10 14:32:51 EST
phat-0.4.1-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Felipe Contreras 2011-12-14 09:37:26 EST
Huh?

Is this the change you are talking about?
http://pkgs.fedoraproject.org/gitweb/?p=phat.git;a=commitdiff;h=dbef2ae782ebbe08ca19ca1e712051f46b6f7e2d

That doesn't remove gtk-doc at all. phat-0.4.1-6.fc16 still has the issue.
Comment 5 Brendan Jones 2011-12-15 11:21:02 EST
Sorry, I misunderstood your issue but after some thought I think there is no bug here. gtk-doc owns the gtk-doc directory, not phat-docs. 

rpm -ql phat-docs
/usr/share/gtk-doc/html/phat
/usr/share/gtk-doc/html/phat/PhatFanSlider.html
/usr/share/gtk-doc/html/phat/PhatHFanSlider.html
/usr/share/gtk-doc/html/phat/PhatHKeyboard.html
/usr/share/gtk-doc/html/phat/PhatKeyboard.html
/usr/share/gtk-doc/html/phat/PhatSliderButton.html
/usr/share/gtk-doc/html/phat/PhatVFanSlider.html
/usr/share/gtk-doc/html/phat/PhatVKeyboard.html
/usr/share/gtk-doc/html/phat/home.png
/usr/share/gtk-doc/html/phat/index.html
/usr/share/gtk-doc/html/phat/index.sgml
/usr/share/gtk-doc/html/phat/install.html
/usr/share/gtk-doc/html/phat/left.png
/usr/share/gtk-doc/html/phat/phat-PhatKnob.html
/usr/share/gtk-doc/html/phat/phat-PhatPad.html
/usr/share/gtk-doc/html/phat/phat.devhelp
/usr/share/gtk-doc/html/phat/phat.devhelp2
/usr/share/gtk-doc/html/phat/phat.html
/usr/share/gtk-doc/html/phat/phatwidgets.html
/usr/share/gtk-doc/html/phat/right.png
/usr/share/gtk-doc/html/phat/style.css
/usr/share/gtk-doc/html/phat/up.png
/usr/share/gtk-doc/html/phat/use.html
Comment 6 Felipe Contreras 2011-12-15 13:29:09 EST
(In reply to comment #5)
> Sorry, I misunderstood your issue but after some thought I think there is no
> bug here. gtk-doc owns the gtk-doc directory, not phat-docs. 

As I said, look at the guidelines:

(In reply to comment #0)
> See the revised guidelines which mention specifically gtk-doc:
> http://fedoraproject.org/wiki/PackagingGuidelines#File_and_Directory_Ownership
> 
> Or the tracking bug for more details.

---
gtk-doc owns the /usr/share/gtk-doc/ directory
evolution puts files into /usr/share/gtk-doc/
evolution does not need gtk-doc in order to function properly.
Nothing in evolution's dependency chain owns /usr/share/gtk-doc/

Solution: the evolution package should own the /usr/share/gtk-doc directory. There is no need to add an explicit Requires on gtk-doc solely for the directory ownership.
---

And see bug #604169 for a bunch of other packages that have been fixed exactly this way.
Comment 7 Brendan Jones 2011-12-15 15:25:10 EST
OK. Commit pending

Note You need to log in before you can comment on or make changes to this bug.